<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:OnEvent" mode="doOnEvent">
<xsl:param name="suffix"/>
	//OnEvent1<!---->
	<xsl:apply-templates mode="doSA">
		<xsl:with-param name="suffix" select="$suffix"/>
		<xsl:with-param name="indices" select="'1'"/>
	</xsl:apply-templates>
	<xsl:apply-templates mode="doIO">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>
	<xsl:apply-templates select="SMLCL:EventOut">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>
	// Regime switch
	regimeCurr<xsl:value-of select="$suffix"/>[i]=<xsl:value-of select="@target_regime"/><xsl:value-of select="translate(//SMLCL:ComponentClass/@name,' ','_')"/>;
</xsl:template>

<xsl:template match="SMLCL:OnEvent" mode="doOnEventSYN">
<xsl:param name="suffix"/>
	//OnEvent1<!---->
	<xsl:apply-templates mode="doSASYN">
		<xsl:with-param name="suffix" select="$suffix"/>
		<xsl:with-param name="indices" select="'1'"/>
	</xsl:apply-templates>
	<xsl:apply-templates select="SMLCL:EventOut">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>
	<xsl:if test="count(//SMLCL:Regime)>1">
	// Regime switch
	regimeCurrINST=<xsl:value-of select="@target_regime"/><xsl:value-of select="translate(//SMLCL:ComponentClass/@name,' ','_')"/>;
	</xsl:if>
</xsl:template>

<xsl:include href="SpineML_StateAssignment.xsl"/>
<xsl:include href="SpineML_ImpulseOut.xsl"/>
<xsl:include href="SpineML_EventOut.xsl"/>
</xsl:stylesheet>


