<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:Parameter" mode="defineParameter">
<xsl:param name="suffix"/>
float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>;<!---->
</xsl:template>

<xsl:template match="SMLCL:Parameter" mode="defineForWeightUpdate">
<xsl:param name="suffix"/>
extern float <xsl:value-of select="@name"/>SD<xsl:value-of select="$suffix"/>[NEURONS_PER_CORE][NEURONS_PER_CORE];
</xsl:template>

<xsl:template match="SMLCL:Parameter" mode="defineForWeightUpdateNoArray">
<xsl:param name="suffix"/>
float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>
</xsl:template>

<xsl:template match="SMLCL:Parameter" mode="loadFromSDRAM">
<xsl:param name="suffix"/>
  float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[NEURONS_PER_CORE];
  readsdram(&amp;<xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>, &amp;<xsl:value-of select="@name"/>SD<xsl:value-of select="$suffix"/>[the_input_index][the_nrn_number],NEURONS_PER_CORE);
</xsl:template>



</xsl:stylesheet>
