<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:StateVariable" mode="defineStateVariable">
<xsl:param name="suffix"/>
float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>;<!---->
</xsl:template>

<xsl:template match="SMLCL:StateVariable" mode="defineTempVars">
	float <xsl:value-of select="@name"/>_tempVARforINT;
</xsl:template>

<xsl:template match="SMLCL:StateVariable" mode="defineForWeightUpdate">
<xsl:param name="suffix"/>
<xsl:param name="connection"/>
<xsl:param name="source_size"/>
<xsl:param name="dest_size"/>
<xsl:variable name="sv_name" select="@name"/>
<xsl:choose>

<xsl:when test="count($connection/SMLNL:FixedProbabilityConnection)=1">
extern float <xsl:value-of select="@name"/>SD<xsl:value-of select="$suffix"/>[<xsl:value-of select="$source_size"/>][<xsl:value-of select="ceiling(6.0*number($dest_size)*number($connection/SMLNL:FixedProbabilityConnection/@probability))"/>];
</xsl:when>
<xsl:otherwise test="count($connection/SMLNL:AllToAllConnection)=1">
</xsl:otherwise>

</xsl:choose>
</xsl:template>

<xsl:template match="SMLCL:StateVariable" mode="loadFromSDRAM">
<xsl:param name="suffix"/>
  float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[NEURONS_PER_CORE];
  readsdram(&amp;<xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>, &amp;<xsl:value-of select="@name"/>SD<xsl:value-of select="$suffix"/>[the_input_index][the_nrn_number],NEURONS_PER_CORE);
</xsl:template>



</xsl:stylesheet>
