<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:AnalogReceivePort | SMLCL:AnalogReducePort" mode="servicePorts">
<xsl:param name="suffix"/>

<xsl:if test="local-name(.)='AnalogReceivePort'">

   <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[i] = the_packet_payload;

</xsl:if>
<xsl:if test="local-name(.)='AnalogReducePort'">
	// engage semaphore
wait(&amp;<xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>semaphore);
<xsl:if test="@reduce_op='+'">
   <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[i] += the_packet_payload;
</xsl:if>
<xsl:if test="@reduce_op='*'">
   <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[i] *= the_packet_payload;
</xsl:if>
signal(&amp;<xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>semaphore);
</xsl:if>
</xsl:template>


<xsl:template match="SMLCL:AnalogReceivePort | SMLCL:AnalogReducePort" mode="defineInputs">
<xsl:param name="suffix"/>
float <xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>;
</xsl:template>


<xsl:template match="SMLCL:AnalogSendPort" mode="doOutput">
<xsl:param name="suffix"/>
<xsl:param name="size"/>
<xsl:param name="index"/>
	if (portOn[<xsl:value-of select="$index"/>]) {
		//for (j = 0; j &lt; <xsl:value-of select="$size"/>; j+=1) {
		// create the port ID
		portID = i&lt;&lt;4|<xsl:value-of select="$index"/>;
		sendpkt(portID,<xsl:value-of select="@name"/><xsl:value-of select="$suffix"/>[i]);
		//}
	}
</xsl:template>



</xsl:stylesheet>
