<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:ComponentClass" mode="doIter">
<xsl:param name="suffix"/>
	transition = 1;

	<!--xsl:apply-templates select="//SMLCL:ComponentClass" mode="doInputs"><xsl:with-param name="suffix" select="$suffix"/></xsl:apply-templates-->
	
	<xsl:apply-templates select="//SMLCL:Dynamics" mode="doIter">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>

	<xsl:apply-templates select="//SMLCL:Dynamics" mode="doTrans">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>

</xsl:template>

<xsl:template match="SMLCL:ComponentClass" mode="doAllAlias">
<xsl:param name="suffix"/>

	<xsl:apply-templates select="//SMLCL:Alias" mode="doAll">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>

</xsl:template>

<xsl:template match="SMLCL:ComponentClass" mode="doPortAlias">
<xsl:param name="suffix"/>

	<xsl:apply-templates select="//SMLCL:Alias" mode="doPorts">
		<xsl:with-param name="suffix" select="$suffix"/>
	</xsl:apply-templates>

</xsl:template>


<xsl:include href="SpineML_Dynamics.xsl"/>
<xsl:include href="SpineML_Regime.xsl"/>
<xsl:include href="SpineML_StateVariable.xsl"/>
<xsl:include href="SpineML_Parameter.xsl"/>
<xsl:include href="SpineML_AnalogPort.xsl"/>
<xsl:include href="SpineML_EventPort.xsl"/>
<xsl:include href="SpineML_Alias.xsl"/>
<xsl:include href="SpineML_Input.xsl"/>
<xsl:include href="SpineML_Property.xsl"/>

</xsl:stylesheet>
