<?xml version="1.0" encoding="ISO-8859-1"?><xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:SMLNL="http://www.shef.ac.uk/SpineMLNetworkLayer" xmlns:SMLLOWNL="http://www.shef.ac.uk/SpineMLLowLevelNetworkLayer" xmlns:SMLCL="http://www.shef.ac.uk/SpineMLComponentLayer"xmlns:fn="http://www.w3.org/2005/xpath-functions">
<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>

<xsl:template match="SMLCL:TimeDerivative" mode="doIter">
<xsl:param name="suffix"/>//TimeDerivative
		<xsl:value-of select="@variable"/>_tempVARforINT = solveDE(<xsl:value-of select="@variable"/><xsl:value-of select="concat($suffix, '[i]')"/>, (float) <xsl:call-template name="add_suffix">
			<xsl:with-param name="params" select="//SMLCL:StateVariable | //SMLCL:AnalogReducePort | //SMLCL:AnalogReceivePort"/>
			<xsl:with-param name="string" select="SMLCL:MathInline"/>
			<xsl:with-param name="suffix" select="concat($suffix, '[i]')"/>
	</xsl:call-template>
	<!---->);
</xsl:template>

<xsl:template match="SMLCL:TimeDerivative" mode="doVarAssign">
<xsl:param name="suffix"/>//Assign back to State Variable
		<xsl:value-of select="@variable"/><xsl:value-of select="concat($suffix, '[i]')"/> = <xsl:value-of select="@variable"/>_tempVARforINT;
</xsl:template>

</xsl:stylesheet>
